Bug 830474 - Software Update GUI Not working
Software Update GUI Not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 20:06 EDT by Michael Convey
Modified: 2014-01-21 18:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:46:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output of "gpk-update-viewer --verbose" (9.94 KB, text/plain)
2012-06-11 21:24 EDT, code
no flags Details

  None (edit)
Description Michael Convey 2012-06-09 20:06:08 EDT
Description of problem: When I run the software update tool, I get the message "no updates are available no network connection was detected" however I have a wired network connection (I'm using it to report this bug). Also, when I use "yum update" at the command line it updates without a problem. 

How reproducible: 100%

Steps to Reproduce:Run software update GUI tool
  
Actual results:"no updates are available no network connection was detected"

Expected results:Successful Update
Comment 1 code 2012-06-11 21:24:36 EDT
Created attachment 591055 [details]
Console output of "gpk-update-viewer --verbose"

I also see this on Fedora 16 x86_64 Linux. Console output of "gpk-update-viewer --verbose" is attached.

But I also notice that the network icon (nm-applet?) has disappeared from the panel. Not sure if that happened at the same time.
Comment 2 Mike Hughes 2012-06-22 09:48:35 EDT
The program appears to download all of the metadata and then fails with "No network connection detected" while displaying all of the pending updates as "grayed out".  The failure occurs just before it would present the update confirmation dialog.
Comment 3 Mike Hughes 2012-06-27 15:06:19 EDT
Also applies to Fedora 17 (32-bit) but not to the version on the distribution CD.  The error appears after runnng the initial system updates.
Comment 4 Paul Schmitz 2012-09-19 17:13:59 EDT
I ran into the same problem on 3.4.9-2.fc16.x86_64 today.  The network applet has also disappeared from the Gnome toolbar.  yum update succeeds.  GUI update succeeded approximately a week ago.

Running nm-applet from command line provided some additional information:

$ nm-applet

** (nm-applet:2559): WARNING **: Could not initialize NMClient /org/freedesktop/NetworkManager: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist

** Message: applet now removed from the notification area
** Message: applet now embedded in the notification area

** (nm-applet:2559): WARNING **: fetch_connections_done: error fetching connections: (19) Method "ListConnections" with signature "" on interface "org.freedesktop.NetworkManager.Settings" doesn't exist
.

** (nm-applet:2559): WARNING **: Failed to register as an agent: (19) Method "Register" with signature "s" on interface "org.freedesktop.NetworkManager.AgentManager" doesn't exist

** Message: applet now removed from the notification area
Comment 5 Mike Hughes 2012-09-20 06:47:26 EDT
It now seems to be working in Fedora 17.
Comment 6 Adri Verhoef 2012-10-15 19:28:41 EDT
Today I just upgraded to Fedora 17 and now gpk-update-viewer works for me.

(In Fedora 16 "yum update" worked, where gpk-update-viewer failed to detect a network connection for me.)
Comment 7 Adri Verhoef 2012-10-21 07:46:28 EDT
And stopped working ...

# yum update
Loaded plugins: fastestmirror, presto, refresh-packagekit
[..]
Resolving Dependencies
--> Running transaction check
---> Package bind-libs.x86_64 32:9.9.1-9.P3.fc17 will be updated
---> Package bind-libs.x86_64 32:9.9.2-2.fc17 will be an update
---> Package bind-libs-lite.x86_64 32:9.9.1-9.P3.fc17 will be updated
---> Package bind-libs-lite.x86_64 32:9.9.2-2.fc17 will be an update
---> Package bind-license.noarch 32:9.9.1-9.P3.fc17 will be updated
---> Package bind-license.noarch 32:9.9.2-2.fc17 will be an update
---> Package bind-utils.x86_64 32:9.9.1-9.P3.fc17 will be updated
---> Package bind-utils.x86_64 32:9.9.2-2.fc17 will be an update
---> Package dhclient.x86_64 12:4.2.4-13.P2.fc17 will be updated
---> Package dhclient.x86_64 12:4.2.4-16.P2.fc17 will be an update
---> Package dhcp-common.x86_64 12:4.2.4-13.P2.fc17 will be updated
---> Package dhcp-common.x86_64 12:4.2.4-16.P2.fc17 will be an update
---> Package dhcp-libs.x86_64 12:4.2.4-13.P2.fc17 will be updated
---> Package dhcp-libs.x86_64 12:4.2.4-16.P2.fc17 will be an update
---> Package hunspell-en.noarch 0:0.20110318-8.fc17 will be updated
---> Package hunspell-en.noarch 0:0.20110318-9.fc17 will be an update
---> Package hunspell-en-GB.noarch 0:0.20110318-8.fc17 will be updated
---> Package hunspell-en-GB.noarch 0:0.20110318-9.fc17 will be an update
---> Package hunspell-en-US.noarch 0:0.20110318-8.fc17 will be updated
---> Package hunspell-en-US.noarch 0:0.20110318-9.fc17 will be an update
---> Package kernel.x86_64 0:3.6.2-4.fc17 will be installed
---> Package kernel-devel.x86_64 0:3.6.2-4.fc17 will be installed
---> Package kernel-headers.x86_64 0:3.6.1-1.fc17 will be updated
---> Package kernel-headers.x86_64 0:3.6.2-4.fc17 will be an update
---> Package kernel-tools.x86_64 0:3.6.1-1.fc17 will be updated
---> Package kernel-tools.x86_64 0:3.6.2-4.fc17 will be an update
---> Package kernel-tools-libs.x86_64 0:3.6.1-1.fc17 will be updated
---> Package kernel-tools-libs.x86_64 0:3.6.2-4.fc17 will be an update
---> Package libqzeitgeist.x86_64 0:0.8.0-6.fc17 will be updated
---> Package libqzeitgeist.x86_64 0:0.8.0-8.fc17 will be an update
---> Package libudisks2.x86_64 0:1.94.0-8.fc17 will be updated
---> Package libudisks2.x86_64 0:1.94.0-10.fc17 will be an update
---> Package m17n-contrib.noarch 0:1.1.13-5.fc17 will be updated
---> Package m17n-contrib.noarch 0:1.1.14-1.fc17 will be an update
---> Package m17n-db.noarch 0:1.6.3-3.fc17 will be updated
---> Package m17n-db.noarch 0:1.6.4-1.fc17 will be an update
---> Package m17n-lib.x86_64 0:1.6.3-2.fc17 will be updated
---> Package m17n-lib.x86_64 0:1.6.4-1.fc17 will be an update
---> Package nmap.x86_64 2:6.01-1.fc17 will be updated
---> Package nmap.x86_64 2:6.01-2.fc17 will be an update
---> Package procps.x86_64 0:3.2.8-26.20110302git.fc17 will be updated
---> Package procps.x86_64 0:3.2.8-27.20110302git.fc17 will be an update
---> Package selinux-policy.noarch 0:3.10.0-153.fc17 will be updated
---> Package selinux-policy.noarch 0:3.10.0-156.fc17 will be an update
---> Package selinux-policy-devel.noarch 0:3.10.0-153.fc17 will be updated
---> Package selinux-policy-devel.noarch 0:3.10.0-156.fc17 will be an update
---> Package selinux-policy-doc.noarch 0:3.10.0-153.fc17 will be updated
---> Package selinux-policy-doc.noarch 0:3.10.0-156.fc17 will be an update
---> Package selinux-policy-targeted.noarch 0:3.10.0-153.fc17 will be updated
---> Package selinux-policy-targeted.noarch 0:3.10.0-156.fc17 will be an update
---> Package systemd.i686 0:44-17.fc17 will be updated
---> Package systemd.x86_64 0:44-17.fc17 will be updated
---> Package systemd.i686 0:44-20.fc17 will be an update
---> Package systemd.x86_64 0:44-20.fc17 will be an update
---> Package systemd-analyze.x86_64 0:44-17.fc17 will be updated
---> Package systemd-analyze.x86_64 0:44-20.fc17 will be an update
---> Package systemd-sysv.x86_64 0:44-17.fc17 will be updated
---> Package systemd-sysv.x86_64 0:44-20.fc17 will be an update
---> Package thunderbird.x86_64 0:16.0-1.fc17 will be updated
---> Package thunderbird.x86_64 0:16.0.1-2.fc17 will be an update
---> Package udisks2.x86_64 0:1.94.0-8.fc17 will be updated
---> Package udisks2.x86_64 0:1.94.0-10.fc17 will be an update
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel-devel.x86_64 0:3.4.9-2.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

[..]

Install   2 Packages
Upgrade  30 Packages
Remove    1 Package

Total download size: 88 M
Is this ok [y/N]: ^CExiting on user Command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-10-21.13-14.c1Y6NY.yumtx
# gpk-update-viewer --verbose
13:14:51	GnomePackageKit     Verbose debugging enabled (on console 1)

(gpk-update-viewer:9923): Gtk-WARNING **: Theme parsing error: gtk.css:47:19: Not using units is deprecated. Assuming 'px'.

(gpk-update-viewer:9923): Gtk-WARNING **: Theme parsing error: gtk.css:47:21: Not using units is deprecated. Assuming 'px'.
13:14:56	GnomePackageKit     using native mode: 700x1200
13:14:56	GnomePackageKit     wrap_width is impossibly small -200
13:14:56	GnomePackageKit     wrap_width is impossibly small -200
13:14:56	GnomePackageKit     only showing newest updates
13:14:56	GnomePackageKit     wrap_width is impossibly small -200
13:14:56	GnomePackageKit     no last package
13:14:56	GnomePackageKit     status wait
13:14:57	GnomePackageKit     wrap_width is impossibly small -200
13:14:57	GnomePackageKit     no last package
13:14:57	GnomePackageKit     status wait

[And then nothing happens, 'gpk-update-viewer' just sits there.]
[clicked Quit after half an hour of waiting]
$ rpm -q kernel
kernel-3.4.11-1.fc16.x86_64
kernel-3.6.1-1.fc17.x86_64
$ uname -r
3.6.1-1.fc17.x86_64
Comment 8 Adri Verhoef 2012-10-21 08:57:46 EDT
Well, it seems to work again after this reboot with the new kernel.

# uname -r
3.6.2-4.fc17.x86_64

# gpk-update-viewer --verbose
14:55:04	GnomePackageKit     Verbose debugging enabled (on console 1)

(gpk-update-viewer:3821): Gtk-WARNING **: Theme parsing error: gtk.css:47:19: Not using units is deprecated. Assuming 'px'.

(gpk-update-viewer:3821): Gtk-WARNING **: Theme parsing error: gtk.css:47:21: Not using units is deprecated. Assuming 'px'.
14:55:06	GnomePackageKit     using native mode: 700x1200
14:55:06	GnomePackageKit     wrap_width is impossibly small -200
14:55:06	GnomePackageKit     wrap_width is impossibly small -200
14:55:06	GnomePackageKit     wrap_width is impossibly small -200
14:55:06	GnomePackageKit     only showing newest updates
14:55:06	GnomePackageKit     no last package
14:55:06	GnomePackageKit     status wait
14:55:06	GnomePackageKit     wrap_width is impossibly small -200
14:55:06	GnomePackageKit     no last package
14:55:06	GnomePackageKit     status wait
14:55:06	GnomePackageKit     status setup
14:55:06	GnomePackageKit     status query
14:55:06	GnomePackageKit     status finished
14:55:06	GnomePackageKit     status setup
14:55:07	GnomePackageKit     status info
14:55:09	GnomePackageKit     status finished
14:55:09	GnomePackageKit     network status is online
14:55:09	GnomePackageKit     wrap_width is impossibly small -200
[No updates available at this time]
Comment 9 Adri Verhoef 2012-12-02 08:02:39 EST
I haven't used 'yum update' since gpk-update-viewer started working again.
However, gpk-update-viewer suddenly stopped working again after having worked for over a month, the window just sits there, only showing "Checking for updates" and after a night's sleep I pressed the Quit button as it was still sitting there.
Then I ran 'yum update':
# yum update
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.klid.dk
 * livna: ftp-stud.fht-esslingen.de
 * rpmfusion-free: mirrors.coreix.net
 * rpmfusion-free-updates: mirrors.coreix.net
 * rpmfusion-nonfree: mirrors.coreix.net
 * rpmfusion-nonfree-updates: mirrors.coreix.net
 * updates: ftp.klid.dk
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:3.6.8-2.fc17 will be installed
---> Package kernel-devel.x86_64 0:3.6.8-2.fc17 will be installed
---> Package kernel-headers.x86_64 0:3.6.7-4.fc17 will be updated
---> Package kernel-headers.x86_64 0:3.6.8-2.fc17 will be an update
---> Package kernel-tools.x86_64 0:3.6.7-4.fc17 will be updated
---> Package kernel-tools.x86_64 0:3.6.8-2.fc17 will be an update
---> Package kernel-tools-libs.x86_64 0:3.6.7-4.fc17 will be updated
---> Package kernel-tools-libs.x86_64 0:3.6.8-2.fc17 will be an update
---> Package libblkid.x86_64 0:2.21.2-2.fc17 will be updated
---> Package libblkid.x86_64 0:2.21.2-3.fc17 will be an update
---> Package libmount.x86_64 0:2.21.2-2.fc17 will be updated
---> Package libmount.x86_64 0:2.21.2-3.fc17 will be an update
---> Package libuuid.i686 0:2.21.2-2.fc17 will be updated
---> Package libuuid.x86_64 0:2.21.2-2.fc17 will be updated
---> Package libuuid.i686 0:2.21.2-3.fc17 will be an update
---> Package libuuid.x86_64 0:2.21.2-3.fc17 will be an update
---> Package meld.noarch 0:1.6.0-1.fc17 will be updated
---> Package meld.noarch 0:1.7.0-1.fc17 will be an update
---> Package pykde4.x86_64 0:4.9.3-1.fc17 will be updated
---> Package pykde4.x86_64 0:4.9.3-2.fc17 will be an update
---> Package rpmfusion-free-release.noarch 0:17.0.3-1 will be updated
---> Package rpmfusion-free-release.noarch 0:17.0.4-1 will be an update
---> Package rpmfusion-nonfree-release.noarch 0:17.0.3-1 will be updated
---> Package rpmfusion-nonfree-release.noarch 0:17.0.4-1 will be an update
---> Package util-linux.x86_64 0:2.21.2-2.fc17 will be updated
---> Package util-linux.x86_64 0:2.21.2-3.fc17 will be an update
---> Package xorg-x11-server-Xnest.x86_64 0:1.12.3-2.fc17 will be updated
---> Package xorg-x11-server-Xnest.x86_64 0:1.12.4-1.fc17 will be an update
---> Package xorg-x11-server-Xorg.x86_64 0:1.12.3-2.fc17 will be updated
---> Package xorg-x11-server-Xorg.x86_64 0:1.12.4-1.fc17 will be an update
---> Package xorg-x11-server-common.x86_64 0:1.12.3-2.fc17 will be updated
---> Package xorg-x11-server-common.x86_64 0:1.12.4-1.fc17 will be an update
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.6.5-1.fc17 will be erased
--> Processing Dependency: kernel-uname-r = 3.6.5-1.fc17.x86_64 for package: 1:kmod-nvidia-3.6.5-1.fc17.x86_64-304.60-1.fc17.2.x86_64
---> Package kernel-devel.x86_64 0:3.6.5-1.fc17 will be erased
--> Running transaction check
---> Package kmod-nvidia-3.6.5-1.fc17.x86_64.x86_64 1:304.60-1.fc17.2 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

[etc.]

Install   2 Packages
Upgrade  15 Packages
Remove    2 Packages (+1 Dependent package)

Total download size: 43 M
Is this ok [y/N]: ^CExiting on user Command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-12-02.02-57.q5d1xq.yumtx
# yum history list
Loaded plugins: fastestmirror, presto, refresh-packagekit
ID     | Login user               | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
   487 | System <unset>           | 2012-11-30 11:15 | Update         |    5   
   486 | System <unset>           | 2012-11-29 03:39 | Update         |    6   
   485 | System <unset>           | 2012-11-28 04:04 | Update         |   69 P<
   484 | System <unset>           | 2012-11-23 02:22 | I, U           |  170 ><
   483 | System <unset>           | 2012-11-22 20:37 | E, I, U        |   18 ><
   482 | System <unset>           | 2012-11-14 02:01 | E, I, U        |   96 ><
   481 | System <unset>           | 2012-11-07 04:38 | E, I, U        |   40 > 
   480 | System <unset>           | 2012-11-05 01:07 | Update         |   77   
   479 | System <unset>           | 2012-11-01 01:07 | Update         |   11   
   478 | Adri Verhoef <a3>        | 2012-10-31 16:11 | Install        |    6   
   477 | Adri Verhoef <a3>        | 2012-10-31 14:38 | Install        |    2   
   476 | Adri Verhoef <a3>        | 2012-10-31 14:37 | Install        |    3 P<
   475 | System <unset>           | 2012-10-30 04:13 | E, I, U        |   88 > 
   474 | System <unset>           | 2012-10-22 15:51 | Update         |   15   
   473 | root <root>              | 2012-10-21 14:26 | Update         |    1 P<
   472 | Adri Verhoef <a3>        | 2012-10-21 13:51 | E, I, U        |   33 > 
   471 | Adri Verhoef <a3>        | 2012-10-18 16:47 | Install        |    1   
   470 | System <unset>           | 2012-10-18 16:43 | Update         |    3   
   469 | System <unset>           | 2012-10-17 15:10 | Update         |    9   
   468 | System <unset>           | 2012-10-16 00:48 | Update         |    1   
history list
# yum history info 487
Loaded plugins: fastestmirror, presto, refresh-packagekit
Transaction ID : 487
Begin time     : Fri Nov 30 11:15:38 2012
Begin rpmdb    : 2556:8e7d3f9b63ed8b26275445adb59d657e357c3e40
End time       :            11:17:11 2012 (93 seconds)
End rpmdb      : 2556:6fb2376394869c07b45081de0feafbb1f39f8227
User           : System <unset>
Return-Code    : Success
Transaction performed with:
    Installed     PackageKit-yum-0.7.5-1.fc17.x86_64            @anaconda-0
    Installed     rpm-4.9.1.3-7.fc17.x86_64                     @anaconda-0
    Installed     yum-3.4.3-30.fc17.noarch                      @updates
    Installed     yum-metadata-parser-1.1.4-6.fc17.x86_64       @anaconda-0
    Installed     yum-plugin-fastestmirror-1.1.31-4.fc17.noarch @anaconda-0
    Installed     yum-presto-0.7.3-1.fc17.noarch                @anaconda-0
Packages Altered:
    Updated git-1.7.11.7-1.fc17.x86_64      @anaconda-0
    Update      1.7.11.7-2.fc17.x86_64      @updates
    Updated libssh-0.5.2-1.fc17.x86_64      @anaconda-0
    Update         0.5.3-1.fc17.x86_64      @updates
    Updated nfs-utils-1:1.2.6-5.fc17.x86_64 @updates
    Update            1:1.2.6-6.fc17.x86_64 @updates
    Updated perl-Git-1.7.11.7-1.fc17.noarch @anaconda-0
    Update           1.7.11.7-2.fc17.noarch @updates
    Updated weechat-0.3.8-3.fc17.x86_64     @updates
    Update          0.3.8-4.fc17.x86_64     @updates
history info
# logout
$ gpk-update-viewer --verbose
13:09:38	GnomePackageKit     Verbose debugging enabled (on console 1)

(gpk-update-viewer:11740): Gtk-WARNING **: Theme parsing error: gtk.css:47:19: Not using units is deprecated. Assuming 'px'.

(gpk-update-viewer:11740): Gtk-WARNING **: Theme parsing error: gtk.css:47:21: Not using units is deprecated. Assuming 'px'.
13:09:39	GnomePackageKit     using native mode: 700x1200
13:09:42	GnomePackageKit     wrap_width is impossibly small -200
13:09:42	GnomePackageKit     wrap_width is impossibly small -200
13:09:42	GnomePackageKit     only showing newest updates
13:09:42	GnomePackageKit     wrap_width is impossibly small -200
13:09:43	GnomePackageKit     no last package
13:09:43	GnomePackageKit     status wait
13:09:43	GnomePackageKit     wrap_width is impossibly small -200
13:09:43	GnomePackageKit     no last package
13:09:43	GnomePackageKit     status wait
[nothing happening there]

It's back to using 'yum update' again and seeing if this update helps ...

$ uname -r
3.6.7-4.fc17.x86_64
Comment 10 Adri Verhoef 2012-12-02 20:33:23 EST
New kernel, rebooted, it's working again.

$ uname -r
3.6.8-2.fc17.x86_64
Comment 11 Fedora End Of Life 2013-01-16 08:51:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 09:46:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.